All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::CudaEvent Class Reference

## Public Member Functions

| CudaEvent (cudaStream_t stream)
| Creates an event and records it in this stream.
| CudaEvent (const CudaEvent &event)=delete
| CudaEvent (CudaEvent &&event) noexcept
cudaEvent_t | get ()
void | streamWaitOnEvent (cudaStream_t stream)
| Wait on this event in this stream.
void | cpuWaitOnEvent ()
| Have the CPU wait for the completion of this event.
CudaEvent & | operator= (CudaEvent &&event) noexcept
CudaEvent & | operator= (CudaEvent &event)=delete

## Detailed Description

Definition at line 77 of file DeviceUtils.h.

The documentation for this class was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/DeviceUtils.h
- /data/users/matthijs/github_faiss/faiss/gpu/utils/DeviceUtils.cpp